gpg: recurso de bloque de teclas '/etc/apt/trusted.gpg.d//webupd8team-sublime-text-3.gpg': límite de recursos

Pregunta:

No importa lo que haga, aparece el siguiente error:

gpg: keyblock resource ‘/etc/apt/trusted.gpg.d//webupd8team-sublime-text-3.gpg’: resource limit

El error original (holandés)

Holandés original

sudo apt-get -f install
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
0 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 12 niet opgewaardeerd.
1 pakketten niet volledig geïnstalleerd of verwijderd.
Door deze operatie zal er 0 B extra schijfruimte gebruikt worden.
Instellen van apt (0.9.9.1~ubuntu3.1) ...
gpg: sleutelblok bronnen ‘/etc/apt/trusted.gpg.d//webupd8team-sublime-text-3.gpg’: resource limit
gpg: sleutelblok bronnen ‘/etc/apt/trusted.gpg.d//webupd8team-themes.gpg’: resource limit
gpg: sleutelblok bronnen ‘/etc/apt/trusted.gpg.d//webupd8team-tor-browser.gpg’: resource limit
gpg: sleutelblok bronnen ‘/etc/apt/trusted.gpg.d//wfg-0ad.gpg’: resource limit
gpg: sleutelblok bronnen ‘/etc/apt/trusted.gpg.d//yorba-ppa.gpg’: resource limit
gpg: sleutel 437D05B5: “Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>” niet veranderd
gpg: sleutel FBB75451: “Ubuntu CD Image Automatic Signing Key <cdimage@ubuntu.com>” niet veranderd
gpg: sleutel C0B21F32: “Ubuntu Archive Automatic Signing Key (2012) <ftpmaster@ubuntu.com>” niet veranderd
gpg: sleutel EFE21092: “Ubuntu CD Image Automatic Signing Key (2012) <cdimage@ubuntu.com>” niet veranderd
gpg: Totaal aantal verwerkt: 4
gpg:              Onveranderd: 4
dpkg: error processing apt (--configure):
 subproces installed post-installation script gaf een foutwaarde 2 terug
Fouten gevonden tijdens behandelen van:
 apt
E: Sub-process /usr/bin/dpkg returned an error code (1)

Aquí está el error original en su totalidad:

Traducido por Google

sudo apt- get- f install
Reading package lists ... Done
Building dependency tree
The status information is read ... Ready
0 packages upgraded , 0 newly installed, 0 to remove and 12 not upgraded .
1 not fully installed or removed.
Through this operation, 0 B of additional disk space will be used .
Setting up apt ( 0.9.9.1 ~ ubuntu3.1 ) ...
gpg : key block sources '/etc/apt/trusted.gpg.d//webupd8team-sublime-text-3.gpg' :resource limit
gpg : key block sources '/etc/apt/trusted.gpg.d//webupd8team-themes.gpg': resource limit
gpg : key block sources '/etc/apt/trusted.gpg.d//webupd8team-tor - browser.gpg ' : resource limit
gpg : key block sources '/etc/apt/trusted.gpg.d//wfg-0ad.gpg': resource limit
gpg : key block sources '/etc/apt/trusted.gpg.d//Yorba-ppa.gpg': resource limit
gpg : key 437D05B5 : "Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>" not changed
gpg : key FBB75451 : "Ubuntu CD Image Automatic Signing Key <cdimage@ubuntu.com>" not changed
gpg : key C0B21F32 : "Ubuntu Archive Automatic Signing Key (2012 ) <ftpmaster@ubuntu.com>" not changed
gpg : key EFE21092 : "Ubuntu CD Image Automatic Signing Key (2012 ) <cdimage@ubuntu.com>" not changed
gpg : Total number processed : 4
gpg : unchanged : 4
dpkg : error processing apt (--configure) :
 subprocess installed post-installation script returned error 2 back
Errors were encountered while processing :
 apt
E : Sub -process/usr/bin/dpkg returned an error code ( 1 )

Cosas que intenté arreglar esto:

  • sudo apt-get autoremove
  • sudo apt-get clean
  • sudo apt-get check
  • sudo dpkg --configure -a
  • sudo apt-get -f install

Y también: sudo apt-mark hold apt; sudo apt-get -f install


Al intentar instalar algo, también obtengo lo siguiente:

ADVERTENCIA: ¡Los siguientes paquetes no se pueden autenticar!

Respuesta:

Si preinstalas el y-ppa-manager del equipo webupd8, tu vida será más fácil

sudo add-apt-repository ppa:webupd8team/y-ppa-manager
sudo update && sudo apt-get install y-ppa-manager

Luego puede eliminar o hacer una copia de seguridad de los gpg existentes ejecutando:

sudo rm /etc/apt/trusted.gpg.d/*
sudo apt-get update

Ahora verá algo como esto:

W: GPG error: http://ppa.launchpad.net wily InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY C2518248EEA14886
W: GPG error: http://ppa.launchpad.net wily InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY C2518248EEA14886
W: GPG error: http://ppa.launchpad.net wily InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY C2518248EEA14886
W: GPG error: http://ppa.launchpad.net vivid InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY C2518248EEA14886

Esto significa que tendrá que volver a importar todas las claves …

Ahora inicie la aplicación y-ppa-manager

Click on Advanced
Select Try to import all missing GPG keys

¡BAM! ¡Debería volver al negocio con todos sus repositorios funcionando correctamente!

Leave a Comment

Your email address will not be published. Required fields are marked *

Scroll to Top

web tasarım